#! /usr/bin/env python

import rospy                               # Import the Python library for ROS
from geometry_msgs.msg import Twist             # Import the Twist message from the std_msgs package

rospy.init_node('gazebo')         # Initiate a Node named 'topic_publisher'
pub = rospy.Publisher('/cmd_vel', Twist, queue_size=1)    
                                           # Create a Publisher object, that will publish on the /cmd_vel topic
                                           # messages of type Twist


var = Twist()                            # Create a var of type Twist

var.linear.x = 2
var.angular.z = 2
speed = 0.5

while not rospy.is_shutdown():             # Create a loop that will go until someone stops the program execution
    pub.publish(var)


# twist message example
# https://answers.ros.org/question/29706/twist-message-example-and-cmd_vel/

# subscribing and publishing to a twist message
# https://answers.ros.org/question/131976/subscribing-and-publishing-to-a-twist-message/